#include <iostream>
#include <cstring>
using namespace std;
int main () {
    string a,b[1000000];
    long long n;
    cin>>a>>n;
    int s=a.size();
    for(int i=0;i<n;i++) {
        cin>>b[i];
    }
    cout<<" "<<endl;
    return 0;
}

